import { Component, inject } from '@angular/core';
import { StoreService } from '../store.service';
import { CurrencyPipe } from '@angular/common';

@Component({
  selector: 'app-orders',
  standalone: true,
  imports: [CurrencyPipe],
  templateUrl: './orders.component.html',
  styleUrl: './orders.component.css',
})
export class OrdersComponent {
  // otetaan käyttöön store
  store = inject(StoreService);
  // haetaan tiedot storesta
  orders = this.store.orders;
  saldo = this.store.saldo;

  addOrder(order: HTMLInputElement) {
    if (order.value) {
      // lisätään tilaus storeen
      this.store.addOrder(order.valueAsNumber);
      // maksetaan, eli pienennetään storessa saldoa kahdella
      this.store.updateSaldo(2);
      order.value = '';
    }
  }
}
